comment.created-1.0
autodesk.construction.issues
project
Note: This event is currently in Public Beta. The payload and behavior may change before General Availability; avoid relying on it in production environments.
curl -X 'POST'\ -v 'https://developer.api.autodesk.com/webhooks/v1/systems/autodesk.construction.issues/events/comment.created-1.0/hooks'\ -H 'Content-Type: application/json'\ -H 'authorization: Bearer bNU4P0trbQKNSzxWksLPTzSbbmUz'\ -d '{ "callbackUrl": "http://bf067e05.ngrok.io/callback", "scope": { "project": "your-project-id" } }'
sha1hash=
{ "version": "1.0", "resourceUrn": "urn:adsk.issues:issues.comment:6f6a5e2a-6b1a-4a1e-9c8a-6a2e6e9b1a2b", "hook": { "hookId": "13f9a9eb-3cdb-4dc8-a04a-d12015c63d40", "tenant": "713c69f7-6131-4199-b260-5cd48f82a1de", "callbackUrl": "http://bf067e05.ngrok.io/callback", "createdBy": "V73BQ6TVMLWR", "event": "comment.created-1.0", "createdDate": "2026-09-16T12:00:00.000+00:00", "lastUpdatedDate": "2026-09-16T12:00:00.000+00:00", "system": "autodesk.construction.issues", "creatorType": "O2User", "status": "active", "scope": { "project": "713c69f7-6131-4199-b260-5cd48f82a1de" }, "autoReactivateHook": true, "urn": "urn:adsk.webhooks:events.hook:13f9a9eb-3cdb-4dc8-a04a-d12015c63d40", "callbackWithEventPayloadOnly": false, "__self__": "/systems/autodesk.construction.issues/events/comment.created-1.0/hooks/13f9a9eb-3cdb-4dc8-a04a-d12015c63d40" }, "payload": { "projectId": "713c69f7-6131-4199-b260-5cd48f82a1de", "id": "6f6a5e2a-6b1a-4a1e-9c8a-6a2e6e9b1a2b", "issueId": "520aff8e-78a5-41fd-9b39-34e89c547953", "createdBy": "V73BQ6TVMLWR", "createdAt": "2026-09-16T12:00:00.000Z" } }
comment.created-1.0
comment.created-1.0autodesk.construction.issuesprojectNote: This event is currently in Public Beta. The payload and behavior may change before General Availability; avoid relying on it in production environments.
Create a Webhook
Request
Callback Payload
Headers
sha1hash=. Your callback endpoint canExample Body